LINUX.ORG.RU

Доступна Red Hat Enterprise Linux 7.7 Beta

 ,


0

1

5 июня 2019 года стала доступна бета версия дистрибутива RHEL 7.7

Это последняя версия ветки 7, когда будут доступны новые функции, но благодаря 10-летнему сроку поддержки пользователи RHEL 7x будут получать до 2024 года обновления и поддержку нового оборудования, но уже без новых функций.

  • Крупнейшими обновлениями являются поддержка новейшего оборудования для предприятий и исправление недавно обнаруженных уязвимостей ZombieLoad. К сожалению, RHEL ничего не может сделать с основными проблемами чипа Intel. Это означает, что ваши процессоры будут работать медленнее на многих заданиях.
  • Большие улучшения производительности сетевого стека. Можно перенести операции виртуального переключения на аппаратное обеспечение сетевой карты (NIC). Это означает, что если вы используете виртуальную коммутацию и виртуализацию сетевых функций (NFV), вы увидите лучшую производительность сети на облачных и контейнерных платформах, таких как Red Hat OpenStack Platform и Red Hat OpenShift.
  • Пользователи бета-версии RHEL 7.7 также получат доступ к новому продукту от Red Hat: Red Hat Insights. В нем используется подход прогнозирующей аналитики на основе программного обеспечения как услуги (SaaS) для выявления, оценки и смягчения потенциальных проблем в системах до того, как они могут вызвать проблемы.
  • Поддержка Red Hat Image Builder. Эта функция, которая только что стала доступна в RHEL 8, позволяет вам легко создавать пользовательские образы системы RHEL для облачных платформ и платформ виртуализации, таких как Amazon Web Services (AWS), VMware vSphere и OpenStack.

>>> Подробности

★★★★★

Проверено: jollheef ()

Ответ на: комментарий от sT331h0rs3

Куда торопиться-то с версиями?

судя по rhel 8 там появилась куча важного в части виртуализации. Учитывая, что первой вменяемой в мире нон-латин использования стала 7 версия, было бы интересно увдеть следующую ступень эволюции от минимально необходимого к комфортному...

Впрочем, можно федорку погонять, если хочется свеженького.

Нет, две последние попытки «погонять» федорку закончились тяжелой депрессией и суицидальными настроениями. Хватит.

AVL2 ★★★★★ ()
Ответ на: комментарий от anonymous

Ну смотря для чего, понятно что в серверных целях и пятую версию можно было с успехом использовать. Но если с комфортом и для универсального использования, то да, centos 7 стал первым нормальным дистром.

AVL2 ★★★★★ ()

В RHEL 8 и, соответственно в будущем CentOS 8 мне не нравятся две вещи:

  1. Из репозиториев выкинут tomcat.
  2. Зоопарк из Python’ов и их неконсистентность. Системный Python на котором работает yum (dnf) никак не сопряжён с тем, который ставит пользователь (python2 или python3). В итоге можно получить ситуацию, когда имеются две идентичных версий python’а, которые поставляются в разных пакетах.
EXL ★★★★★ ()
Последнее исправление: EXL (всего исправлений: 1)
Ответ на: комментарий от EXL

Системный Python на котором работает yum (dnf) никак не сопряжён с тем, который ставит пользователь (python2 или python3)

Это фича.

Что значит «получить две идентичных версий python’а»? Это два разных бинарника в системе. system-python для базы и python для пользователей. Они друг друга не перезаписывают.

alpha ★★★★★ ()
Ответ на: комментарий от alpha

Мой внутренний перфекционист будет негодовать, когда в системе будет иметься один и тот же набор программных компонентов в двойном объёме.

EXL ★★★★★ ()
Ответ на: комментарий от alpha

Кто может дать вывод команды с RHEL8 ?

rpm -qa | grep python

Вообще это ерунда какая то, я еще понимаю в системе python 2x а нужно юзать для какой нибудь фигни 3х. По сути поставили бы 3.6 для всего и этого бы лет на 10 хватило, Гвидо то свалил уже.

Опять же что мешало портировать dnf и прочее на какой нибудь go ?

mx__ ★★★★★ ()
Ответ на: комментарий от alpha

Он в AppStream переехал наверняка. И с точки зрения работы и поддержки ничего не изменилось. Репозиторий добавился.

Что-то не нашёл ничего про него. Зато такое увидел:

https://access.redhat.com/solutions/661403

RHEL 8: The tomcat package is no longer present in RHEL 8 and later. Customers who need the supported version of tomcat needs to use JWS.

А JWS он это, обычным смертным-то доступен? Тем у кого будет CentOS 8, например, или у кого RHEL 8 по No-Cost RHEL Developer Subscription.

EXL ★★★★★ ()
Ответ на: комментарий от mx__

Опять же что мешало портировать dnf и прочее на какой нибудь go ?

Не знаю почему, но в RH прямо таки обмазываются Python’ом, очень его любят и тянут в любую щель. Ну и изначально Yellowdog Updater, Modified был на нём написан.

Кто может дать вывод команды с RHEL8 ?

$ rpm -qa | grep python
python3-linux-procfs-0.6-6.el8.noarch
python3-libselinux-2.8-6.el8.x86_64
python3-asn1crypto-0.24.0-3.el8.noarch
python3-pycparser-2.14-14.el8.noarch
python3-rhnlib-2.8.6-7.module+el8+2754+6a08e8f4.noarch
python3-librepo-1.9.2-1.el8.x86_64
python3-dnf-4.0.9.2-5.el8.noarch
python3-dnf-plugins-core-4.0.2.2-3.el8.noarch
python3-rhn-setup-2.8.16-12.module+el8+2754+6a08e8f4.x86_64
python3-libdnf-0.22.5-5.el8_0.x86_64
python3-hawkey-0.22.5-5.el8_0.x86_64
platform-python-setuptools-39.2.0-4.el8.noarch
python3-decorator-4.2.1-2.el8.noarch
python3-dateutil-2.6.1-6.el8.noarch
python3-syspurpose-1.23.8-35.el8.x86_64
python3-unbound-1.7.3-8.el8.x86_64
python3-configobj-5.0.6-11.el8.noarch
python3-pyudev-0.21.0-7.el8.noarch
python3-libcomps-0.1.8-13.el8.x86_64
python3-slip-0.6.4-11.el8.noarch
python3-dmidecode-3.12.2-13.el8.x86_64
python3-schedutils-0.6-5.el8.x86_64
python3-idna-2.5-5.el8.noarch
python3-ply-3.9-7.el8.noarch
python3-cffi-1.11.5-5.el8.x86_64
python3-pyOpenSSL-18.0.0-1.el8.noarch
python3-hwdata-2.3.6-3.el8.noarch
python3-dbus-1.2.4-14.el8.x86_64
python3-gobject-base-3.28.3-1.el8.x86_64
python3-gpg-1.10.0-6.el8.x86_64
python3-rpm-4.14.2-9.el8.x86_64
python3-dnf-plugin-spacewalk-2.8.5-9.module+el8+2754+6a08e8f4.noarch
python3-rhn-check-2.8.16-12.module+el8+2754+6a08e8f4.x86_64
platform-python-pip-9.0.3-13.el8.noarch
python3-six-1.11.0-8.el8.noarch
python3-iniparse-0.4-31.el8.noarch
python3-newt-0.52.20-9.el8.x86_64
python3-libs-3.6.8-2.el8_0.x86_64
python3-perf-4.18.0-80.1.2.el8_0.x86_64
python3-ethtool-0.14-3.el8.x86_64
python3-libxml2-2.9.7-5.el8.x86_64
python3-netifaces-0.10.6-4.el8.x86_64
python3-inotify-0.9.6-13.el8.noarch
python3-cryptography-2.3-2.el8.x86_64
python3-slip-dbus-0.6.4-11.el8.noarch
python3-firewall-0.6.3-7.el8.noarch
python3-rhn-client-tools-2.8.16-12.module+el8+2754+6a08e8f4.x86_64
python3-subscription-manager-rhsm-1.23.8-35.el8.x86_64
platform-python-3.6.8-2.el8_0.x86_64

[exl@localhost ~]$ python
-bash: python: command not found

[exl@localhost ~]$ python3
-bash: python3: command not found

$ sudo dnf install python3
Updating Subscription Management repositories.
Last metadata expiration check: 0:51:38 ago on Thu 06 Jun 2019 10:20:31 PM MSK.
Dependencies resolved.
================================================================================================================================================================================================
 Package                                  Arch                         Version                                                     Repository                                              Size
================================================================================================================================================================================================
Installing:
 python36                                 x86_64                       3.6.8-2.module+el8.0.0+2975+e0f02136                        rhel-8-for-x86_64-appstream-rpms                        19 k
Installing dependencies:
 python3-pip                              noarch                       9.0.3-13.el8                                                rhel-8-for-x86_64-appstream-rpms                        18 k
 python3-setuptools                       noarch                       39.2.0-4.el8                                                rhel-8-for-x86_64-baseos-rpms                          162 k
Enabling module streams:
 python36                                                              3.6                                                                                                                     

Transaction Summary
================================================================================================================================================================================================
Install  3 Packages

Total download size: 200 k
Installed size: 466 k
Is this ok [y/N]: N
Operation aborted.
EXL ★★★★★ ()
Ответ на: комментарий от alpha

Он на java8 не работает что ли?

Работает. JWS же сам на базе Tomcat’а построен.

А, тогда может и действительно грохнули.

Похоже, действительно:

https://access.redhat.com/solutions/3708231

А JWS как я понял только ынтерпрайзникам доступен.

JBoss Web Server is only available through a full Red Hat subscription. Download JBoss Web Server by logging in to the Red Hat Customer Portal and downloading it from there.

EXL ★★★★★ ()
Ответ на: комментарий от EXL

Не знаю почему, но в RH прямо таки обмазываются Python’ом, очень его любят и тянут в любую щель.

Потому что он еще не в каждой щели! Доброго здравия и удвоенной энергии тянущим!

t184256 ★★★★★ ()
Ответ на: комментарий от EXL

Нет, конечно. Я и Tomcat-то не знаю, зачем туда засунули.

Но если у тебя такое требование, то, наверное, остается только страдать. Я думал, ты в принципе альтернативы ищешь.

hippi90 ★★★★ ()
Ответ на: комментарий от hippi90

Но если у тебя такое требование, то, наверное, остается только страдать.

Одно дело когда за Tomcat’ом следили ИБ-специалисты и инженеры-мейнтейнеры RedHat, как за тем же Apache или Nginx, выпуская или бекпортируя фиксы уязвимостей, а другое дело когда ты на себя взваливаешь эту работу.

Я и Tomcat-то не знаю, зачем туда засунули.

На той же Fedora он доступен, в т. ч. и на той, с которой RHEL 8 форкнулся (29).

https://rpmfind.net/linux/rpm2html/search.php?query=tomcat&submit=Search

На DEB-стеке тоже он есть:

https://packages.debian.org/stretch/tomcat8
https://packages.ubuntu.com/search?keywords=tomcat&searchon=names&suite=bionic&section=all

Не понимаю, зачем RH’овцы так поступили. Искренне надеюсь, что в CentOS 8 его вернут.

EXL ★★★★★ ()
Последнее исправление: EXL (всего исправлений: 1)
Ответ на: комментарий от anonymous

HP выпускает драйверы для B120i примерно через полгода после релиза очередной версии RHEL-а. А без них ядро апгрейдить нельзя. А раз ядро апгрейдить нельзя, то и систему лучше не апгрейдить. В итоге полгода без апгрейдов.

Legioner ★★★★★ ()
Ответ на: комментарий от EXL

Спасибо.

$ rpm -qa | grep python

Ну как я и предполагал что там 3.6.8 что в модулях что в системе.

Ну допустим они libs засунули прям в: platform-python-3.6.8-2.el8_0.x86_64

Но что тогда за софт стоит что притянул: python3-libs-3.6.8-2.el8_0.x86_64

И тут получается очень интересно модуль python3 не тянет либсы т.е. юзает тот же самый python3-libs-3.6.8-2.el8_0.x86_64

Мдаааа они точно понимают что они делают ? Как говорится чем дальше в лес тем толще ...

mx__ ★★★★★ ()
Ответ на: комментарий от Legioner

В итоге полгода без апгрейдов.

Каких еще апдейтов ? Вообще то в продакшен можно ставить как минимум х.1 а лучше .2 ни один нормальный чел. не будет ставить х.0 на сервер.

Т.е. когда мы накупили G10 7х уже был вполне...

P.S. Не понимаю почему речь про встроенный Bxxx нафиг он такой нужен ? Pxxx и нормально.

mx__ ★★★★★ ()
Ответ на: комментарий от mx__

Каких еще апдейтов ?

Например 7.7

Вообще то в продакшен можно ставить как минимум х.1 а лучше .2 ни один нормальный чел. не будет ставить х.0 на сервер.

Так опции такой нет. Или апгрейдишься или сидишь без апдейтов с дырявой системой.

P.S. Не понимаю почему речь про встроенный Bxxx нафиг он такой нужен ? Pxxx и нормально.

А нафиг нужен Pxxx? Была бы возможность, я бы вообще линуксовый рейд юзал. Но там вентиляторы жужжат.

Legioner ★★★★★ ()
Ответ на: комментарий от Legioner

Так выпуски же перекрывают друг друга, вон до сих пор 6х в строю а уже 8 вышла.

Ну если заюзать Pxxx можно вообще в линух всю эту фигню не нести. А мониторить нагиосом через snmp ilo.

mx__ ★★★★★ ()
Ответ на: комментарий от mx__

Так выпуски же перекрывают друг друга, вон до сих пор 6х в строю а уже 8 вышла.

Так я про минорную версию, а не про мажорную. На 8 понятно, что апгрейда в принципе не будет, буду сидеть на 7, пока сервер не сломается. Я про то, что я не смогу проапгрейдиться до 7.7 в течение полугода после его выхода, придётся сидеть на 7.6.

Ну если заюзать Pxxx можно вообще в линух всю эту фигню не нести. А мониторить нагиосом через snmp ilo.

Неужто линукс так не умеет?

Legioner ★★★★★ ()
Ответ на: комментарий от Legioner

Я про то, что я не смогу проапгрейдиться до 7.7 в течение полугода после его выхода, придётся сидеть на 7.6.

Не понял. Это почему ? Я вроде в пределах минорки сразу ухаю все что есть, и с 5х так было и с 6х и с 7х ...

Неужто линукс так не умеет?

Умеет но раньше были всякие опасения из-за всяких hpasmcli и подобного, чем меньше всякого не дистрибутивного стоит тем лучше. И тем проще ухать минорки.

mx__ ★★★★★ ()
Ответ на: комментарий от mx__

Не понял. Это почему ? Я вроде в пределах минорки сразу ухаю все что есть, и с 5х так было и с 6х и с 7х ...

Потому, что в 7.7 будет новое ядро, которое поломает драйвер B120i, рассчитанный на 7.6.

Умеет но раньше были всякие опасения из-за всяких hpasmcli и подобного, чем меньше всякого не дистрибутивного стоит тем лучше. И тем проще ухать минорки.

Я про рейд линуксовыми средствами, без всякого HP.

Legioner ★★★★★ ()
Ответ на: комментарий от Legioner

какой тебе пруф? Обновления ведра не привязаны к версии. Или тебе без обновления ведра волшебным образом ядерные патчи прилетают? Кроме того, пруф не нужен: это штатная фича, хоть с ядром от 7.0 сиди. Ну и ты траву поменьше кури.

Woolf ★★ ()
Последнее исправление: Woolf (всего исправлений: 1)
Ответ на: комментарий от Woolf

Пруф того, что ничто не мешает использовать ядро от 7.6 с софтом от 7.7. Если ты не знал, софт дёргает ядерные вызовы и ничего не мешает добавить новые вызовы в 7.7, после этого софт на 7.6 работать не будет. В обратную сторону теоретически может и можно, хотя вряд ли кто-то проверяет.

Legioner ★★★★★ ()